package com.unis.model;

import com.unis.model.bean.WorkModule;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 包名: com.unis.model
 * 类名: HomeModel
 * 作用描述: 工作台数据
 * 创建人: mQ
 * 创建时间: 2020/11/11 10:22
 * 更新人:
 * 更新时间: 2020/11/11 10:22
 * 更新说明:
 * 版本号: 1.0
 */
public class WorkbenchModel {
    private WorkbenchModel() {
    }

    private static class SingleHolder {
        private static final WorkbenchModel INSTANCE = new WorkbenchModel();
    }

    public static WorkbenchModel get() {
        return SingleHolder.INSTANCE;
    }

    public static final String TYPE_JBXX = "基本信息";


    public static final String TYPE_SLZL = "数量质量";
    public static final String TYPE_CFXX = "仓房信息";
    public static final String TYPE_RKZL = "入库质量";
    public static final String TYPE_KCZL = "库存质量";
    public static final String TYPE_CKZL = "出库质量";


    public static final String TYPE_CLGL = "储粮管理";
    public static final String TYPE_LQJC = "粮情检查";
    public static final String TYPE_JXTF = "机械通风";
    public static final String TYPE_XZGL = "熏蒸管理";


    public static final String TYPE_YJGL = "药剂管理";
    public static final String TYPE_YJCG = "药剂采购";
    public static final String TYPE_YJBG = "药剂保管";
    public static final String TYPE_YJLY = "药剂领用";


    public static final String TYPE_SSSB = "设施设备";
    public static final String TYPE_SSGL = "设施管理";
    public static final String TYPE_SBGL = "设备管理";


    public static final String TYPE_AQSC = "安全生产";


    public static final String TYPE_JDJC = "监督检查";


    public static final String TYPE_KWGL = "库外管理";
    public static final String TYPE_ZCGL = "租仓管理";
    public static final String TYPE_WTGL = "委托管理";


    /******************* 主功能列表 ********************/

    public List<WorkModule> mHomeList = Arrays.asList(
            new WorkModule(TYPE_JBXX, ""),
            new WorkModule(TYPE_SLZL, ""),
            new WorkModule(TYPE_CLGL, "")
//            new WorkModule(TYPE_YJGL, ""),
//            new WorkModule(TYPE_SSSB, ""),
//            new WorkModule(TYPE_AQSC, ""),
//            new WorkModule(TYPE_JDJC, ""),
//            new WorkModule(TYPE_KWGL, "")
    );


    /******************* 子功能列表 ********************/

    public Map<String, List<WorkModule>> mChildMap = new HashMap() {
        {
            put(TYPE_SLZL, Arrays.asList(
                    new WorkModule(TYPE_CFXX, "")
//                    new WorkModule(TYPE_RKZL, ""),
//                    new WorkModule(TYPE_KCZL, ""),
//                    new WorkModule(TYPE_CKZL, "")
            ));
            put(TYPE_CLGL, Arrays.asList(
                    new WorkModule(TYPE_LQJC, ""),
                    new WorkModule(TYPE_JXTF, "")
//                    new WorkModule(TYPE_XZGL, "")
            ));
            put(TYPE_YJGL, Arrays.asList(
                    new WorkModule(TYPE_YJCG, ""),
                    new WorkModule(TYPE_YJBG, ""),
                    new WorkModule(TYPE_YJLY, "")
            ));
            put(TYPE_SSSB, Arrays.asList(
                    new WorkModule(TYPE_SSGL, ""),
                    new WorkModule(TYPE_SBGL, "")
            ));
            put(TYPE_KWGL, Arrays.asList(
                    new WorkModule(TYPE_ZCGL, ""),
                    new WorkModule(TYPE_WTGL, "")
            ));
        }
    };


}
